#include "18F4520.h"
//#include "f2520_regs.h"
#fuses HS
#use delay(clock = 4000000)

#define RESET PIN_C0
#define EN 	  PIN_B5
#define RW    PIN_B4
#define RS 	  PIN_B2
#define CS2   PIN_B1
#define CS1   PIN_B0

unsigned int data[] = {127,127,8,8,127,127,0,0};  // H, 8x8

void GRAPHIC_LCD_INIT();
void glcd_cmd(unsigned char c);
void glcd_data(unsigned char z);

void GRAPHIC_LCD_INIT()
{
    output_high(CS1);      // CS1 connected to PIN_B0
    output_high(CS2);     //  CS2 connected to PIN_B1
    output_high(RESET);   // RST connected to PIN_C0
    
    glcd_cmd(0x3F);     // Display ON
	glcd_cmd(0xC0);		// Specify first RAM line at the top of the screen
    glcd_cmd(0x40);     // Column selection

    glcd_cmd(0xB8);     // Page selection - Page 1      
}

void glcd_cmd(unsigned char c)
{
   output_low(RS);
   output_low(RW);
   output_d(c);
   output_high(EN);
   delay_ms(15);
   output_low(EN);
}
 
void glcd_data(unsigned char z)
{
   output_high(RS);
   output_low(RW);
   output_d(z);
   output_high(EN);
   delay_ms(15);
   output_low(EN);
}
 
void main()
{
	int i;
    GRAPHIC_LCD_INIT();     

    while(1)
    {   
		glcd_cmd(0xC0);   // display start line
		for (i = 0; i < 8; i++)
		{
			printf(glcd_data,"%d",data[i]);
		}
    }
}






